## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

POST

/v2.0/optionsresolver

Try it

Resolve Options for a Field

cURL

```bash
curl --request POST \
  --url https://api-trial.cognigy.ai/new/v2.0/optionsresolver \
  --header 'Content-Type: application/json' \
  --header 'X-API-Key: <api-key>' \
  --data '\n{
  "fieldKey": "<string>",
  "extension": "<string>",
  "nodeType": "<string>",
  "dependencies": {},
  "projectId": "<string>"
}\n'\n```

```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/optionsresolver"

payload = {
    "fieldKey": "<string>",
    "extension": "<string>",
    "nodeType": "<string>",
    "dependencies": {},
    "projectId": "<string>"
}
headers = {
    "X-API-Key": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

```javascript
const options = {
  method: 'POST',
  headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    fieldKey: '<string>',
    extension: '<string>',
    nodeType: '<string>',
    dependencies: {},
    projectId: '<string>'
  })
};

fetch('https://api-trial.cognigy.ai/new/v2.0/optionsresolver', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/optionsresolver",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "POST",\
  CURLOPT_POSTFIELDS => json_encode([\
    'fieldKey' => '<string>',\
    'extension' => '<string>',\
    'nodeType' => '<string>',\
    'dependencies' => [\
\
    ],\
    'projectId' => '<string>'\
  ]),\
  CURLOPT_HTTPHEADER => [\
    "Content-Type: application/json",\
    "X-API-Key: <api-key>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/optionsresolver"

payload := strings.NewReader("{\n  \"fieldKey\": \"<string>\",\n  \"extension\": \"<string>\",\n  \"nodeType\": \"<string>\",\n  \"dependencies\": {},\n  \"projectId\": \"<string>\"\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("X-API-Key", "<api-key>")
	req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

Several HTTP status codes can be returned:

- **200**: Success
- **400**: Bad Request
- **401**: Unauthorized
- **402**: Payment Required
- **403**: Forbidden
- **404**: Not Found
- **405**: Method Not Allowed
- **409**: Conflict
- **413**: Payload Too Large
- **500**: Internal Server Error
- **501**: Not Implemented
- **502**: Bad Gateway
- **503**: Service Unavailable
- **504**: Gateway Timeout

#### Authorizations
- **APIKeyHeader**: X-API-Key
- **APIKeyQueryParam**: CXoneTokenHeaderOAuth2

#### Headers
- **Accept**: The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

#### Body

- **fieldKey**: The field key to resolve options for.
- **extension**: The extension name.
- **nodeType**: The node type that contains the options resolver field.
- **dependencies**: The map of dependency field values for the options resolver field.
- **projectId**: The unique identifier for the project.
